/*
Copyright 2016 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
  parser for hhtop
*/

#ifndef PARSER_H
#define PARSER_H

#include "types.h"

// read parameter string
int read_params(hh_params* params, char* str);

// utilities
// length of a string
int str_len(char* str);
// compare strings
int str_cmp(char* str1, char* str2);
// append a character to the end of a string at the location pointed at by 'ptr'
char* str_addchar(char* ptr, const char c);

#endif
